Internet Explorer en WordPress

Internet Explorer en WordPress

Internet Explorer en WordPress.

Internet Explorer (IE) de Microsoft, ha sido siempre un producto exclusivo; por exclusivo quiero decir que no ha sido compatible más que con sigo mismo (y no siempre).

Eso ha llevado a que los desarrolladores de sitios web, han tenido que hacer «trampas» en sus códigos, para que los usuarios de este navegador, pudiesen disfrutar de servicios que, sin esas trampas, estaban disponibles a cualquier usuario con cualquier otro navegador.

Por supuesto, esto ha hecho que todos los sitios web, todas las aplicaciones en Internet (de las que WordPress no es una excepción) necesitasen más código del estrictamente necesario, para adecuarse a los usuarios de Internet Explorer.

Quizá el título de este artículo debería ser: ¡Adiós Internet Explorer, adiós!

Un poco de historia

Desde que en 1994 se desarrollo lo que iba a ser el primer «IE», basándose en el navegador «Mosaic», se escogió como fuente, una «versión del código» distinta a lo que se consideraría como estándar, el código de la NCSA.

Desde entonces, cada versión de IE ha tenido diferencias no solo con los estándares de código HTM1, sino también con el CSS2 y el Javascript3 y, además, cada versión no ha sido compatible con las versiones anteriores.

Durante los años 1997 y 2001, se desarrolló lo que se conoce como la «Guerra de navegadores, que alimento más si cabe, la diferenciación entre los productos de Microsoft y los demás desarrolladores.

Esa «guerra» hizo también que muchos desarrolladores hicieran productos que sólo funcionaban correctamente con los productos de uno de los bandos, hasta el extremo de que muchos desarrollos realizados para organismos oficiales, requerían del uso del IE para su funcionamiento y, si el usuario no disponía de esa tecnología, el «soporte técnico» se limitaba a decir que no podían dar soporte a «otra cosa».

Con mayor o menor compatibilidad entre las distintas versiones y, con mayor o menor compatibilidad con diferentes estándares, Internet Explorer ha seguido desarrollándose hasta la versión 11.

La nueva generación de exploradores o navegadores de Internet desarrollada por la casa Microsoft, es el navegador «Edge». Inicialmente desarrollado para la versión 10 de «Windows» contando con su propio motor (EdgeHTML) y su propio Javascript (Chakra).

Una siguiente versión del navegador «Edge», ha sido realizada usando como motores, el Blink y V8 para Javascript, los mismos que utiliza el proyecto «Chromium».

Como es de imaginar, la primera versión de «Edge» era sólo compatible con «Windows» y «MacOS» y no fue hasta octubre de 2020, cuando se ofreció una versión «previa» compatible con «Linux».

Esta versión que, como puede pensarse ya no tiene que ver con IE, ya resulta muy compatible con los estándares. Nuestra web madre, publicó el 27 de octubre de 2020, Comparativa – Chromium vs Microsoft Edge en linux.

La seguridad

Además de los problemas de compatibilidad que ha presentado históricamente el navegador Internet Explorer, este navegador ha sido famoso por sus múltiples agujeros de seguridad que, representaban peligro no sólo a los usuarios sino también, a las plataformas que le daban soporte.

Internet Explorer en WordPress

El soporte

Dado la amplia difusión de Windows y sus distintas versiones, IE ha sido durante mucho tiempo, el caballo de batalla para los desarrolladores, ya que debían ofrecer soporte para ese navegador, independientemente de su compatibilidad o seguridad.

Es difícil probar diseños en diferentes versiones de IE porque intentar instalar diferentes versiones en tu ordenador puede causar grandes dolores de cabeza si no sabes exactamente lo que está haciendo.

La cuestión de compatibilidad no se limita a ciertos aspectos de un sitio web, afecta a la práctica totalidad, como es el caso de WordPress; no solo hay que dar soporte a la parte de Front End (lo que ven los visitantes), los temas desarrollados y su comportamiento, también la experiencia del Back end (lo que ve el administrador, el editor, etc.) se ve afectada.

Hay que mantener una homogeneidad en la experiencia de uso, sea cual sea el navegador del usuario o visitante.

Internet Explorer en WordPress

WordPress ha hecho esfuerzos durante mucho tiempo, para mantener esa homogeneidad en la experiencia de usuario. Dado que la misma Microsoft ha descontinuado el soporte para sus navegadores de la serie IE (versiones 8, 9 y 10) en enero de 2016 y está planificado el fin del soporte para la última versión de IE, la versión 11, el 15 de enero de 2022, WordPress se adelanta un poco y planifica el fin de soporte para el IE11.

La fecha escogida es, julio de 2021, coincidiendo con el lanzamiento de WordPress 5.8

Durante los últimos 17 meses, los usuarios de WordPress que utilizan IE11 han visto una alerta en sus paneles de control advirtiéndoles que IE11 ahora se considera obsoleto.

Para los usuarios que todavía usan Internet Explorer 11, WordPress recomienda encarecidamente comenzar a realizar la transición a un navegador más moderno. Las opciones más populares son Google Chrome, Mozilla Firefox, Safari y Microsoft Edge. Internet Explorer en WordPress.

¿Qué significa realmente?

Cuando WordPress elimina la compatibilidad con un navegador, eso significa que el CMS4 ya no probará nuevas funciones en esos navegadores y que ya no se garantiza la funcionalidad óptima de esos navegadores. Esto también significa que no se prestará solución a los errores informados para IE11.

Además, algunas de las herramientas automatizadas que utiliza WordPress para generar su código fuente principal se actualizarán para excluir los navegadores que ya no son compatibles. Dentro de WordPress, esto significa que es probable que cualquiera de las funciones que dependen de esos archivos generados deje de funcionar o tenga errores para quienes usan los navegadores no compatibles.

Estos cambios se notarán más dentro del editor de bloques «Gutenberg» porque varios de los archivos del editor de bloques se compilan utilizando las herramientas automatizadas mencionadas anteriormente.

¿Cómo afectará esto a los temas de WordPress?

La eliminación de la compatibilidad con IE11 no introducirá ningún cambio en los temas predeterminados ya incluidos en WordPress, y ninguno de los códigos relacionados con la compatibilidad con IE11 se eliminará de los temas predeterminados.

Sin embargo, esto significa que cualquier característica nueva que se agregue más adelante no se probará en IE11.

Por lo general, los temas tienen sus propias políticas de compatibilidad con el navegador, por lo que los cambios en el núcleo de WordPress no los afectarán.

Cualquier usuario que no utilice un tema predeterminado no debería ver su tema afectado por esta actualización. Si bien los cambios básicos no afectarán su tema directamente, existe la posibilidad de que el autor de un tema ya haya eliminado la compatibilidad con IE11. Verifica que tu tema esté al día.

Internet Explorer en WordPress

Conclusión

Si puedes hacerlo ahora, cambia lo antes posible tu navegador; hay muchas opciones sea cual sea el Sistema Operativo que uses. ¡Tu tienes el control!

Mientras tanto, recuerda, #UsaMascarilla, #LavateLasManos, juega, experimenta y, sobre todo, ¡divertirte!


Canales de Telegram: Canal SoloWordpressCanal SoloLinux 


¡Espero que este articulo te sea de utilidad, puedes ayudarnos a mantener el servidor con una donación en PayPal, o también colaborar con el simple gesto de compartir nuestros artículos en tu sitio web, blog, foro o redes sociales!

¡Tus comentarios y preguntas nos ayudan a mejorar, por favor comenta!

 

Chat de SoloWordpress


  1. Hyper Text Marckup 

  2. Cascading Style Sheet 

  3. Lenguaje de programación para navegadores de Internet 

  4. Content Management System 

3 comentarios sobre “Internet Explorer en WordPress

  1. Aaaah, cuántas pesadillas me dieron las diferentes (en más de un sentido) versiones de IE en los desarrollos de las webs…
    Empecé con la v6. Y de ahí, arriba.

    Eso sí, tuve algo de ayuda con un programita muy sencillo llamado IE-Tester. Lo conservo por la cantidad de hroas que hemos pasado juntos 🙂

    1. ¡Gracias por tus comentarios JaiMolas! Es cierto que los desarrolladores hemos soñado y sudado con IE y, no lo echaremos de menos. 😜

Deja una respuesta

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

logo solowordpress mails

Suscríbete a SoloWordpress

Recibe todos los nuevos artículos es tu correo electrónico

¡Te has suscrito correctamente!

Esta web utiliza cookies propias y de terceros para su correcto funcionamiento y para fines analíticos y para mostrarte publicidad relacionada con sus preferencias en base a un perfil elaborado a partir de tus hábitos de navegación. Al hacer clic en el botón Aceptar, acepta el uso de estas tecnologías y el procesamiento de tus datos para estos propósitos. Ver nuestra Política de Cookies
Privacidad
Ir al contenido